View Issue Details

IDProjectCategoryView StatusLast Update
15209Bug reports[All Projects] Survey designpublic2019-09-02 10:42
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.17.x 
Target VersionFixed in Version3.17.x 
Summary15209: 500 error when try to save long administrator name
Description

When try to save a long admin name : receive a 500 erro in XHR

Steps To Reproduce

Enter « Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam id tortor lobortis, laoreet ligula ut, consequat est. Cras eu urna ultricies, faucibus odio et, pellentesque tellus. Nam ligula enim, tincidunt quis ultrices eu, laoreet eget quam. Quisque ac lobortis sem. Nam consectetur diam eget lacus tempor scelerisque. In eleifend ullamcorper justo non vestibulum. Pellentesque eu tincidunt nisl, id maximus felis. In consectetur est rhoncus, convallis arcu vitae, cursus lorem. Phasellus eget mauris nec diam elementum mollis vel eget felis. » in administratir name, [Enter] at the keybord.
Look at console/XHR

Additional Information
CDbCommand failed to execute the SQL statement: SQLSTATE[22001]: String data, right truncated: 1406 Data too long for column 'admin' at row 1. The SQL statement executed was: UPDATE `lime_surveys` SET `htmlemail`=:yp0, `format`=:yp1, `template`=:yp2, `language`=:yp3, `owner_id`=:yp4, `admin`=:yp5, `adminemail`=:yp6, `sid`=:yp7, `gsid`=:yp8, `active`=:yp9, `expires`=:yp10, `startdate`=:yp11, `anonymized`=:yp12, `faxto`=:yp13, `savetimings`=:yp14, `additional_languages`=:yp15, `datestamp`=:yp16, `usecookie`=:yp17, `allowregister`=:yp18, `allowsave`=:yp19, `autonumber_start`=:yp20, `autoredirect`=:yp21, `allowprev`=:yp22, `printanswers`=:yp23, `ipaddr`=:yp24, `refurl`=:yp25, `datecreated`=:yp26, `publicstatistics`=:yp27, `publicgraphs`=:yp28, `listpublic`=:yp29, `sendconfirmation`=:yp30, `tokenanswerspersistence`=:yp31, `assessments`=:yp32, `usecaptcha`=:yp33, `usetokens`=:yp34, `bounce_email`=:yp35, `attributedescriptions`=:yp36, `emailresponseto`=:yp37, `emailnotificationto`=:yp38, `tokenlength`=:yp39, `showxquestions`=:yp40, `showgroupinfo`=:yp41, `shownoanswer`=:yp42, `showqnumcode`=:yp43, `bouncetime`=:yp44, `bounceprocessing`=:yp45, `bounceaccounttype`=:yp46, `bounceaccounthost`=:yp47, `bounceaccountpass`=:yp48, `bounceaccountencryption`=:yp49, `bounceaccountuser`=:yp50, `showwelcome`=:yp51, `showprogress`=:yp52, `questionindex`=:yp53, `navigationdelay`=:yp54, `nokeyboard`=:yp55, `alloweditaftercompletion`=:yp56, `googleanalyticsstyle`=:yp57, `googleanalyticsapikey`=:yp58, `showsurveypolicynotice`=:yp59 WHERE `lime_surveys`.`sid`=827284 (/mnt/data/shnoulle/nginx/www/master/framework/db/CDbCommand.php:358)
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.17.13 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionmariadb + mssql
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Activities

DenisChenu

DenisChenu

2019-08-29 18:29

developer  

Capture d’écran du 2019-08-29 18-26-06.png (220,013 bytes)
DenisChenu

DenisChenu

2019-08-29 18:40

developer   ~53347

https://github.com/LimeSurvey/LimeSurvey/commit/73c5339778708588e5ef42237ef99b823d9cdf49

lime_release_bot

lime_release_bot

2019-09-02 10:42

developer   ~53374

Fixed in Release 3.17.14+190902

Related Changesets

LimeSurvey: master 73c53397

2019-08-29 18:39:18

Denis Chenu

Details Diff
Fixed issue 15209: 500 error when try to save long administrator name
Dev: rules fix the 500 error
Dev: add maxlength to html input:text
Affected Issues
15209
mod - application/models/Survey.php Diff File
mod - application/views/admin/survey/subview/accordion/_generaloptions_panel.php Diff File

Issue History

Date Modified Username Field Change
2019-08-29 18:29 DenisChenu New Issue
2019-08-29 18:29 DenisChenu File Added: Capture d’écran du 2019-08-29 18-26-06.png
2019-08-29 18:40 DenisChenu Assigned To => DenisChenu
2019-08-29 18:40 DenisChenu Status new => resolved
2019-08-29 18:40 DenisChenu Resolution open => fixed
2019-08-29 18:40 DenisChenu Fixed in Version => 3.17.x
2019-08-29 18:40 DenisChenu Note Added: 53347
2019-08-30 14:12 c_schmitz Changeset attached => LimeSurvey master 73c53397
2019-09-02 10:42 lime_release_bot Note Added: 53374
2019-09-02 10:42 lime_release_bot Status resolved => closed